/**************************
 * File: prototypes.h
 * Prototypes for cyucon
 
**** All rights reserved.
****************************************************************************
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details at www.gnu.org
****************************************************************************
****************************/

/* Alphabetized case-ignore. */
#ifndef _PROTOTYPES_CYUCON_H_

void cleanup_termios(int signal);

unsigned int crc1(char *inbuffer,size_t inbufferSize);

void init_comm(struct termios *pts);

void init_stdin(struct termios *sts);

void Listen(int pf);

void main_usage(int exitcode, char *str, char *dev);

void MaybePrintMessage(logLevels level, const char * fmt, ...);

void SendCommand(int pf,char *command,size_t cmdLen, char *terminatindicator,int echo, int watchStdin);

void SendFile(int pf, char *filename);

void GetFile(int pf,char *outfilename);

int fixFileNameIntoCybiko(const char *inFilename,char *outFilename);

int fixFileNameOutOfCybiko(const char *inFilename,char *outFilename);

int fileNameToMemCard(const char *in,char *out,size_t sizOfOut);
void removeLeadingSpaces(char *inString);
void delay(time_t secs, time_t msecs);

#endif /* _PROTOTYPES_CYUCON_H_ */








